package com.cool.store.mapper;

import com.cool.store.entity.MemberQuestionDO;
import com.cool.store.vo.PartnerBaseInfoVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface JoinIntentionMapper {

    boolean insertOrUpdate(@Param("request") MemberQuestionDO request);

    MemberQuestionDO     getByLineId(@Param("lineId") Long lineId);

    List<MemberQuestionDO> getByLineIds(@Param("lineIds") List<Long> lineIds);

    void updateAuditIdByLineId(@Param("auditId") Long auditId,
                               @Param("lineId") Long id);
}
